<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema">
<xsl:variable name="tcolors">
 <color cval="1">FFFF80</color >
 <color cval="2">00FF00</color >
 <color cval="3">C0C0C0</color >
 <color cval="4">00C0C0</color >
 <color cval="5">FFFF80</color >
 <color cval="6">00FF00</color >
 <color cval="7">C0C0C0</color >
 <color cval="8">00C0C0</color >
 <color cval="9">FFFF80</color >
 <color cval="10">00FF00</color >
 <color cval="11">C0C0C0</color >
 <color cval="12">00C0C0</color >
 <color cval="13">FFFF80</color >
 <color cval="14">00FF00</color >
 <color cval="15">C0C0C0</color >
 <color cval="16">00C0C0</color >
</xsl:variable >
    <xsl:template match="/">
        <html>
            <head />
            <body>
                <br/>
                <a name="Top"><span style="color:#FF8000; font-size:larger; font-weight:bolder; ">WAVEREADER SEARCH RESULTS</span></a>
                <br>
                </br>
<xsl:for-each select="SearchResults/IP_Addr">
<xsl:variable name="bkmark" select="position()"/>
<!--<p> <a href= "#ip{$bkmark}" > <xsl:value-of select="@IPVal"/> </a> </p>-->
<p> <a href="#{@IPVal}" > <xsl:value-of select="@IPVal"/> </a> </p>

</xsl:for-each>
                <xsl:for-each select="SearchResults">
                    <xsl:for-each select="IP_Addr">
<xsl:variable name="textDoc" select="document('')"/>
<xsl:variable name="pos" select="position()"/>
<xsl:variable name="tblval" select="$textDoc/xsl:stylesheet/xsl:variable[@name='tcolors']/color[@cval=$pos]"/>
                        <xsl:for-each select="@IPVal">
                            <span style="color:#FF8000; font-size:larger; font-weight:bold; ">
                                <a name="{.}"><xsl:value-of select="." /></a>
                            </span>
                        </xsl:for-each>
                        <br/>
<xsl:variable name='var1' select="Status"/>

<xsl:if test='$var1 != ""' >
	<p>Status   : <xsl:value-of select="Status" /> </p>

</xsl:if>

                        <xsl:for-each select="Transaction">
                            <xsl:if test="position()=1">
                                <!--<table bgcolor="#FFFF80" border="1">-->
  				    <table bgcolor="{$tblval}" border="1">
                                    <thead>
                                        <tr>
                                            <td>IpAddress</td>
                                            <td>StartTime</td>
                                            <td>EndTime</td>
                                            <td>Cameras</td>
                                            <td>Type</td>
                                            <td>Line</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <xsl:for-each select="../Transaction">
                                            <tr>
                                                <td width="50">
						    <xsl:value-of select="../@IPVal" />
                                                </td>
                                                <td>
                                                    <xsl:for-each select="StartTime">
                                                        <xsl:apply-templates />
                                                    </xsl:for-each>
                                                </td>
                                                <td>
                                                    <xsl:for-each select="EndTime">
                                                        <xsl:apply-templates />
                                                    </xsl:for-each>
                                                </td>
                                                <td>
                                                    <xsl:for-each select="Cameras">
                                                        <xsl:apply-templates />
                                                    </xsl:for-each>
                                                </td>
                                                <td>
                                                    <xsl:for-each select="Type">
                                                        <xsl:apply-templates />
                                                    </xsl:for-each>
                                                </td>
                                                <td>
                                                    <xsl:for-each select="Line">
                                                        <xsl:apply-templates />
							<br/>
                                                    </xsl:for-each>
                                                </td>
                                            </tr>
                                        </xsl:for-each>
                                    </tbody>
                                </table>
                            </xsl:if>
                        </xsl:for-each>

 Number of Results   : <xsl:value-of select="count(Transaction )" />          
<xsl:text>&#xA0;&#xA0;&#xA0;&#xA0;</xsl:text><a href="#Top">Back To Top</a> 

<br/>
<br/>
                    </xsl:for-each>

<p>Total Number of Results   : <xsl:value-of select="count(IP_Addr/Transaction )" /> </p>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
