<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <html>
            <head />
            <body>
                <br />
                <span style="color:maroon; font-weight:bold; ">WAVE READER SEARCH RESULTS</span>
                <br style="page-break-after:always; " />
                <br />
                <xsl:for-each select="Transactions">
                    <xsl:for-each select="Transaction">
                        <xsl:if test="position()=1">
                            <table bgcolor="#FFFF80" border="1" border-collapse="collapse">
                                <thead>
                                    <tr>
                                        <td>StartTime</td>
                                        <td>EndTime</td>
                                        <td>Cameras</td>
                                        <td>Type</td>
                                        <td colspan="2">Line</td>
                                    </tr>
                                </thead>
                                <tbody>
                                    <xsl:for-each select="../Transaction">
                                        <tr>
                                            <td align="justify">
                                                <xsl:for-each select="StartTime">
                                                    <span style="font-size:smaller; ">
                                                        <xsl:apply-templates />
                                                    </span>
                                                </xsl:for-each>
                                            </td>
                                            <td style="layout-grid-type:loose; ">
                                                <xsl:for-each select="EndTime">
                                                    <span style="font-size:smaller; ">
                                                        <xsl:apply-templates />
                                                    </span>
                                                </xsl:for-each>
                                            </td>
                                            <td>
                                                <xsl:for-each select="Cameras">
                                                    <span style="font-size:smaller; ">
                                                        <xsl:apply-templates />
                                                    </span>
                                                </xsl:for-each>
                                            </td>
                                            <td>
                                                <xsl:for-each select="Type">
                                                    <span style="font-size:smaller; ">
                                                        <xsl:apply-templates />
                                                    </span>
                                                </xsl:for-each>
                                            </td>
                                            <td colspan="2">
                                                <xsl:for-each select="Line">
                                                    <span style="font-size:smaller; ">
                                                        <xsl:apply-templates />
                                                    </span>
                                                    <br style="page-break-after:always; " />
                                                </xsl:for-each>
                                            </td>
                                        </tr>
                                    </xsl:for-each>
                                </tbody>
                            </table>
                        </xsl:if>
                    </xsl:for-each>
                </xsl:for-each>
                <address />
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
